feed-0.3.10.4: Interfacing with RSS (v 0.9x, 2.x, 1.0) + Atom feeds.

Copyright | (c) Galois, Inc. 2008, (c) Sigbjorn Finne 2009-
License | BSD3
Maintainer | Sigbjorn Finne <sof@forkIO.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Text.RSS1.Syntax

Description

# Documentation

type URIString = String Source

type TitleString = String Source

type TimeString = String Source

type TextString = String Source

data Feed Source

Constructors

Feed |

Fields

feedVersion :: String
feedChannel :: Channel
feedImage :: Maybe Image
feedItems :: [Item]
feedTextInput :: Maybe TextInputInfo
feedTopics :: [TaxonomyTopic]
feedOther :: [Element]
feedAttrs :: [Attr]

Instances

Show Feed Source |

data Channel Source

Constructors

Channel |

Fields

channelURI :: URIString
channelTitle :: TitleString
channelLink :: URIString
channelDesc :: TextString
channelImageURI :: Maybe URIString
channelItemURIs :: [URIString]
channelTextInputURI :: Maybe URIString
channelDC :: [DCItem]
channelUpdatePeriod :: Maybe UpdatePeriod
channelUpdateFreq :: Maybe Integer
channelUpdateBase :: Maybe TimeString
channelContent :: [ContentInfo]
channelTopics :: [URIString]
channelOther :: [Element]
channelAttrs :: [Attr]

Instances

Show Channel Source |

data Image Source

Constructors

Image |

Fields

imageURI :: URIString
imageTitle :: TextString
imageURL :: URIString
imageLink :: URIString
imageDC :: [DCItem]
imageOther :: [Element]
imageAttrs :: [Attr]

Instances

Show Image Source |

data Item Source

Constructors

Item |

Fields

itemURI :: URIString
itemTitle :: TextString
itemLink :: URIString
itemDesc :: Maybe TextString
itemDC :: [DCItem]
itemTopics :: [URIString]
itemContent :: [ContentInfo]
itemOther :: [Element]
itemAttrs :: [Attr]

Instances

Show Item Source |

data TextInputInfo Source

Constructors

TextInputInfo |

Fields

textInputURI :: URIString
textInputTitle :: TextString
textInputDesc :: TextString
textInputName :: TextString
textInputLink :: URIString
textInputDC :: [DCItem]
textInputOther :: [Element]
textInputAttrs :: [Attr]

Instances

Show TextInputInfo Source |

data TaxonomyTopic Source

Constructors

TaxonomyTopic |

Fields

taxonomyURI :: URIString
taxonomyLink :: URIString
taxonomyTitle :: Maybe String
taxonomyDesc :: Maybe String
taxonomyTopics :: [URIString]
taxonomyDC :: [DCItem]
taxonomyOther :: [Element]

Instances

Show TaxonomyTopic Source |

data UpdatePeriod Source

Constructors

Update_Hourly |
Update_Daily |
Update_Weekly |
Update_Monthly |
Update_Yearly |

Instances

Eq UpdatePeriod Source |
Show UpdatePeriod Source |

data ContentInfo Source

Constructors

ContentInfo |

Fields

contentURI :: Maybe URIString
contentFormat :: Maybe URIString
contentEncoding :: Maybe URIString
contentValue :: Maybe String

Instances

Eq ContentInfo Source |
Show ContentInfo Source |

nullFeed :: URIString -> TitleString -> Feed Source

nullChannel :: URIString -> TitleString -> Channel Source

nullImage :: URIString -> String -> URIString -> Image Source

nullItem :: URIString -> TextString -> URIString -> Item Source

nullTextInputInfo :: URIString -> TextString -> TextString -> URIString -> TextInputInfo Source

nullTaxonomyTopic :: URIString -> URIString -> TaxonomyTopic Source

nullContentInfo :: ContentInfo Source